import { FormGroup, FormBuilder } from '@angular/forms';
import { Props } from '../utils/props.interface';
import { EventEmitter, OnInit } from '@angular/core';
export declare class DynamicFormComponent implements OnInit {
    private fb;
    props: Props[];
    submit: EventEmitter<any>;
    form: FormGroup;
    readonly formValue: any;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    onSubmit(event: Event): void;
    createFormControls(): FormGroup;
    bindValidations(validations: any): import("@angular/forms/src/directives/validators").ValidatorFn;
    validateFormFields(formGroup: FormGroup): void;
}
